Subject: Re: bug#62721: 30.0.50; EUDC: stop adding a wildcard to LDAP searches

From: Fabrice Bauzac-Stehly <[email-masked]>
Date: Tue, 16 May 2023 10:14:14 +0200

Thomas Fitzsimmons <[email-masked]> writes:

> Fabrice Bauzac-Stehly <[email-masked]> writes:
>
>> Sure.  I have kept the two default items of the list, and added
>> 'samaccountname (the attribute for which I don't want any wildcard).  As
>> I've used Customize, it appears like this in my ~/.emacs.d/init.el:
>>
>> '(eudc-ldap-no-wildcard-attributes '(objectclass objectcategory samaccountname))
>
> Thanks, and what field of `eudc-query-form' does that affect?  "E-Mail"?

It affects samaccountname.  Indeed, I forgot to indicate that I have
also customized eudc-query-form-attributes:

 '(eudc-default-return-attributes
   '(displayname firstname name thumbnailphoto mail samaccountname ...))
 '(eudc-ldap-no-wildcard-attributes '(objectclass objectcategory samaccountname))
 '(eudc-query-form-attributes '(name firstname email samaccountname))

Thanks!

-- 
Fabrice Bauzac-Stehly
PGP 01EEACF8244E9C14B551C5256ADA5F189BD322B6